################################################################
#
#   HIIW - UI Theme
#
################################################################

from pygame import Color
from albow.resource import get_image, get_font
from albow.theme import framed
from humerus.theme import root, Theme

#root.Dialog.bg_color = (224, 224, 224)

root.fg_color = (0, 0, 0)
root.font = (18, "Hanshand.ttf")

root.Button.fg_color = (0, 0, 0)
root.Button.highlight_color = (0, 0, 0)
root.Button.disabled_color = Color("gray")
#root.Button.enabled_bg_color = (148, 217,254)
#root.Button.disabled_bg_color = (192, 192, 192)
root.Button.highlight_bg_color = Color("lightgray")
root.Button.font = root.font
root.Button.margin = 8
root.Button.border_width = 1

root.Dialog.bg_image = get_image("paper_landscape.png")
root.Dialog.scale_bg = True
root.Dialog.border_width = 1

framed.border_width = 1

root.MenuTitle.font = (48, "Hanshand.ttf")
root.MenuTitle.fg_color = (255, 255, 255)
root.MenuButton.font = (24, "Hanshand.ttf")
root.MenuButton.fg_color = (255, 255, 255)
root.MenuButton.disabled_color = (128, 128, 128)

root.PaletteView.highlight_style = 'fill'
root.PaletteView.scroll_button_color = (64, 64, 64)

root.FileListView.scroll_button_color = (64, 64, 64)
