#---------------------------------------------------------------------------
#
#   HIIW - Directions
#
#---------------------------------------------------------------------------

# Directions
HORZ = 0
VERT = 1
EAST = 0
SOUTH = 1
WEST = 2
NORTH = 3
DOWN = 0
UP = 1

delta_for_direction = {
	EAST: (1, 0),
	SOUTH: (0, 1),
	WEST: (-1, 0),
	NORTH: (0, -1),
}

def offset_location(loc, dir):
	x, y = loc
	dx, dy = delta_for_direction[dir]
	return (x + dx, y + dy)
