#---------------------------------------------------------------------------
#
#   HIIW - Furniture
#
#---------------------------------------------------------------------------

from albow.resource import get_image
from directions import offset_location

class Furniture(object):
	#  location       (cx, cy)
	#  facing         int
	#  is_impassable  boolean
	
	is_impassable = True
	
	def place_in_room(self, room, location, facing):
		self.location = location
		self.facing = facing
		cell = room.cell(location)
		cell.furniture = self

class WritingDesk(Furniture):

	images = [
		get_image("desk-east.png"),
		get_image("desk-south.png"),
		get_image("desk-west.png"),
		get_image("desk-north.png"),
	]

	def place_in_room(self, room, location, facing):
		Furniture.place_in_room(self, room, location, facing)
		cell = room.cell(offset_location(location, facing))
		cell.can_write_here = True
