################################################################
#
#   Hark, I Impale Weasels!
#
#   An entry in the PyWeek 9 Game Programming Competition
#
#   By Gregory Ewing (greg.ewing@canterbury.ac.nz)
#
################################################################

import gc
import pygame
import options

# Initialise pygame before doing anything else so that
# images can be loaded in module init code.
pygame.init()

import theme
from options import options
from shell import HIIWShell
from game import game

shell = HIIWShell(game, options)
#gc.set_debug(gc.DEBUG_STATS) # | gc.DEBUG_LEAK)
shell.run()
