#---------------------------------------------------------------------------
#
#  HIIW - Settings and command line options
#
#---------------------------------------------------------------------------

from humerus.options import Options

class HIIWOptions(Options):

	frame_rate_option = 10
	screen_size_option = (800, 600)
	seed_option = None
	
	extra_command_line_options = [
		("-S,--seed",  'seed',  "Random number seed",             str),
		("--no-random-music", 'no_random_music', "Play music in fixed order"),
	]

options = HIIWOptions(with_editor = False)
